function saMat = SSDB_Random(X,options);
 
 d.OrigSize = [128 128];
 d.RandSeed = 'Needs To Be Specified--Too Risky To Have Default';
 d.MaxFeatureSize = 1000;
 d.RandFeatureTypes = [];
 d.caParams = [];
 
 if(not(exist('options')))
   options = [];
 end
 options = ResolveMissingOptions(options,d);
 nEx = size(X,2);
 for i = 1:nEx
   fprintf('SSDB_Random image %d of %d\r',i,nEx);
   stim = reshape(X(:,i),options.OrigSize);
   M = Im2RandomImageFeature(stim,options);
   if(i == 1);
     saMat.X = zeros(length(M(:)),nEx);
   end
   saMat.X(:,i) = M(:);
 end
 
